/****************************************************
Generic parameter reconstructor.
This file contains auxiliary functions.

This is the program for the paper:
"Rigorous parameter-reconstruction for differential
equations with noisy data."

Authors: Tomas Johnson    Uppsala University 
         Warwick Tucker   University of Bergen


****************************************************/

/*   File: utilities.h

     Contains helpful functions and classes, that are not
     directly connected to the mathematical aspects of 
     the problem.

     Latest edit: Thu Aug 17 14:50:30 CET 2006
*/

#ifndef UTILITIES_H
#define UTILITIES_H


enum command {START_TIMING, SHOW_TIMING, STOP_TIMING};
#include <ostream>

using namespace std;

// ------- Globally accessable functions ------------------------------------
void  clock           (const command &cmd);

// -------------------------------------------------------------------------- 

#endif // UTILITIES_H





